yaz_errno
yaz_es_result
YAZ Functions
PHP Manual

# yaz_error

(PHP 4 >= 4.0.1, PECL yaz:0.9-1.0.9)

yaz_error — Returns error description

### Description

string yaz_error ( resource `$id` )

yaz_error() returns an English text message corresponding to the last error number as returned by yaz_errno().

### Parameters

`id`

  The connection resource returned by yaz_connect().

### Return Values

Returns an error text message for server (last request), identified by parameter `id` . An empty string is returned if the last operation was successful.

### See Also

- yaz_errno()
- yaz_addinfo()

yaz_errno
yaz_es_result
YAZ Functions
PHP Manual